ru.bitel.bgbilling.kernel.script.server.bean

## Class ScriptLibraryManager

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<ScriptLibrary>
      - - ru.bitel.bgbilling.kernel.script.server.bean.ScriptLibraryManager

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class ScriptLibraryManager
      extends ru.bitel.common.dao.AbstractIdDao<ScriptLibrary>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptLibraryManager(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `backup(int scriptId, java.lang.String comment)` Сохраняем резервную копию библиотеки.
    `void` | `deleteFull(int scriptId)` Удаляет скрипт и все его бэкапы.
    `ScriptLibrary` | `getByName(java.lang.String name)`
    `protected ScriptLibrary` | `getFromRS(java.sql.ResultSet rs)`
    `protected ScriptLibrary` | `getPureFromRS(java.sql.ResultSet rs)`
    `Revision` | `getRevisionProperties(int id)` Возвращает параметры ревизии библиотеки.
    `java.util.List<ScriptLibrary>` | `list()`
    `java.util.List<ScriptLibrary>` | `pureList()` Возвращает лист скриптов без текста (для экономии).
    `protected void` | `updateImpl(ScriptLibrary lib)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScriptLibraryManager

          public ScriptLibraryManager(java.sql.Connection con)

  - ### Method Detail

    - #### updateImpl

          protected void updateImpl(ScriptLibrary lib)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<ScriptLibrary>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### getByName

          public ScriptLibrary getByName(java.lang.String name)
                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<ScriptLibrary> list()
                                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### pureList

          public java.util.List<ScriptLibrary> pureList()
                                                 throws ru.bitel.bgbilling.common.BGException

      Возвращает лист скриптов без текста (для экономии).
      Returns:
        лист скриптов
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFromRS

          protected ScriptLibrary getFromRS(java.sql.ResultSet rs)
                                     throws java.sql.SQLException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<ScriptLibrary>`
      Throws:
        `java.sql.SQLException`

    - #### getPureFromRS

          protected ScriptLibrary getPureFromRS(java.sql.ResultSet rs)
                                         throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getRevisionProperties

          public Revision getRevisionProperties(int id)
                                         throws ru.bitel.bgbilling.common.BGException

      Возвращает параметры ревизии библиотеки.
      Parameters:
        `id` - код библиотеки
      Returns:
        параметры ревизии.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### backup

          public void backup(int scriptId,
                             java.lang.String comment)
                      throws ru.bitel.bgbilling.common.BGException

      Сохраняем резервную копию библиотеки. Копируем данные из базы.
      Parameters:
        `scriptId` - код библиотеки.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteFull

          public void deleteFull(int scriptId)
                          throws ru.bitel.bgbilling.common.BGException

      Удаляет скрипт и все его бэкапы.
      Parameters:
        `scriptId` - код скрипта.
      Throws:
        `ru.bitel.bgbilling.common.BGException`